### Method

# Camel MimePart set_content

#### Declaration [src]

    void
    camel_mime_part_set_content (
      CamelMimePart* mime_part,
      const gchar* data,
      gint length,
      const gchar* type
    )

#### Description [src]

Utility function used to set the content of a mime part object to be the provided data. If `length` is 0, this routine can be used as a way to remove old content (in which case `data` and `type` are ignored and may be `NULL`).

#### Parameters

`data`

  Type: An array of `guint8`

  Data to put into the part.

  The argument can be `NULL`.
  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gint`

  Length of `data`.

`type`

  Type: `const gchar*`

  Content-Type of the data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.